/*
 * Copyright (c) 2017, NVIDIA CORPORATION.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 */

#ifndef _DT_BINDINGS_PADCTRL_TEGRA_IO_PADS_H
#define _DT_BINDINGS_PADCTRL_TEGRA_IO_PADS_H

/* IO PAD group */
#define TEGRA_IO_PAD_GROUP_AUDIO	0
#define TEGRA_IO_PAD_GROUP_AUDIO_HV	1
#define TEGRA_IO_PAD_GROUP_CAM		2
#define TEGRA_IO_PAD_GROUP_CONN		3
#define TEGRA_IO_PAD_GROUP_CSIA		4
#define TEGRA_IO_PAD_GROUP_CSIB		5
#define TEGRA_IO_PAD_GROUP_CSIC		6
#define TEGRA_IO_PAD_GROUP_CSID		7
#define TEGRA_IO_PAD_GROUP_CSIE		8
#define TEGRA_IO_PAD_GROUP_CSIF		9
#define TEGRA_IO_PAD_GROUP_DBG		10
#define TEGRA_IO_PAD_GROUP_DEBUG_NONAO	11
#define TEGRA_IO_PAD_GROUP_DMIC		12
#define TEGRA_IO_PAD_GROUP_DMIC_HV	13
#define TEGRA_IO_PAD_GROUP_DP		14
#define TEGRA_IO_PAD_GROUP_DSI		15
#define TEGRA_IO_PAD_GROUP_DSIB		16
#define TEGRA_IO_PAD_GROUP_DSIC		17
#define TEGRA_IO_PAD_GROUP_DSID		18
#define TEGRA_IO_PAD_GROUP_EMMC		19
#define TEGRA_IO_PAD_GROUP_EMMC2	20
#define TEGRA_IO_PAD_GROUP_GPIO		21
#define TEGRA_IO_PAD_GROUP_EDP		22
#define TEGRA_IO_PAD_GROUP_HDMI		23
#define TEGRA_IO_PAD_GROUP_HDMI_DP0	24
#define TEGRA_IO_PAD_GROUP_HDMI_DP1	25
#define TEGRA_IO_PAD_GROUP_HSIC		26
#define TEGRA_IO_PAD_GROUP_LVDS		27
#define TEGRA_IO_PAD_GROUP_MIPI_BIAS	28
#define TEGRA_IO_PAD_GROUP_PEX_BIAS	29
#define TEGRA_IO_PAD_GROUP_PEX_CLK_BIAS	30
#define TEGRA_IO_PAD_GROUP_PEX_CLK1	31
#define TEGRA_IO_PAD_GROUP_PEX_CLK2	32
#define TEGRA_IO_PAD_GROUP_PEX_CLK3	33
#define TEGRA_IO_PAD_GROUP_PEX_CTRL	34
#define TEGRA_IO_PAD_GROUP_SDMMC1	35
#define TEGRA_IO_PAD_GROUP_SDMMC1_HV	36
#define TEGRA_IO_PAD_GROUP_SDMMC2_HV	37
#define TEGRA_IO_PAD_GROUP_SDMMC3	38
#define TEGRA_IO_PAD_GROUP_SDMMC3_HV	39
#define TEGRA_IO_PAD_GROUP_SDMMC4	40
#define TEGRA_IO_PAD_GROUP_SPI		41
#define TEGRA_IO_PAD_GROUP_SPI_HV	42
#define TEGRA_IO_PAD_GROUP_UART		43
#define TEGRA_IO_PAD_GROUP_USB_BIAS	44
#define TEGRA_IO_PAD_GROUP_USB0		45
#define TEGRA_IO_PAD_GROUP_USB1		46
#define TEGRA_IO_PAD_GROUP_USB2		47
#define TEGRA_IO_PAD_GROUP_USB3		48
#define TEGRA_IO_PAD_GROUP_BB		49
#define TEGRA_IO_PAD_GROUP_SYS		50
#define TEGRA_IO_PAD_GROUP_HV		51
#define TEGRA_IO_PAD_GROUP_UFS		52
#define TEGRA_IO_PAD_GROUP_AO_HV	53
#define TEGRA_IO_PAD_GROUP_DDR_DVI	54
#define TEGRA_IO_PAD_GROUP_DDR_GMI	55
#define TEGRA_IO_PAD_GROUP_DDR_SDMMC2	56
#define TEGRA_IO_PAD_GROUP_DDR_SPI	57
#define TEGRA_IO_PAD_GROUP_HDMI_DP2	58
#define TEGRA_IO_PAD_GROUP_HDMI_DP3	59

#define IO_PAD_VOLTAGE_1_2V		1200000
#define IO_PAD_VOLTAGE_1_8V		1800000
#define IO_PAD_VOLTAGE_3_3V		3300000

#define TEGRA_IO_PAD_GROUP_POWER_DISABLE	0
#define TEGRA_IO_PAD_GROUP_POWER_ENABLE		1

#endif
